org.rexxla.bsf.engines.rexx

## Class RexxScriptEngine.RexxAnnotation

- java.lang.Object
- - org.rexxla.bsf.engines.rexx.RexxScriptEngine.RexxAnnotation

- Enclosing class:
    RexxScriptEngine

      public static class RexxScriptEngine.RexxAnnotation
      extends java.lang.Object

  Inner class for determining a RexxScript annotation, if one exists, the annotation field will refer to the appropriate enum value and all fields are filled in to ease processing of the script's code by the caller.

  A Rexx script annotation is a block comment at the very beginning or end of a Rexx statement, which starts with the at character (@) and followed by a name. Optionally the name may be followed by a pair of parenthesis that may contain a single (quoted) Rexx string, which gets interpreted according to the annotation name in hand.

  Currently the following Rexx script annotations are defined:

  - @SHOWSOURCE
  - @GET or @GET( blank delimited string of attribute names to be added as Rexx context variables )
  - @SET or @SET[ blank delimited string of attribute names to be updated by their Rexx context variable values )
  Since:
    2016-11

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum` The currently supported Rexx script annotation names need to be led in with an at (@) character, the name of the annotation and if values are supplied with it, then they must be given within parenthesis immediately following the annotation name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Create a string containing all attributes and their values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Create a string containing all attributes and their values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a String in which all attributes with their values are documented